ClusterMessage (Tomcat API Documentation)
Keywords: org.apache.catalina.cluster.ClusterMessage interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster
Interface ClusterMessage

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  SessionMessage

All Known Implementing Classes:
  FileMessage, SessionIDMessage, SessionMessageImpl, SingleSignOnMessage, UndeployMessage

public interface ClusterMessage
extends java.io.Serializable

Author:
  Peter Rossbach

Field Summary
`static int` | `FLAG_ALLOWED`
`static int` | `FLAG_DEFAULT`
`static int` | `FLAG_FORBIDDEN`

Method Summary
`Member` | `getAddress()` Get the address that this message originated from.
`int` | `getCompress()` Each message can made the desicion that compress is allowed or not or handle by default.
`int` | `getResend()` Each message can made the desicion that resend is allowed or not or handle by default.
`long` | `getTimestamp()` Timestamp message.
`java.lang.String` | `getUniqueId()` Each message must have a unique ID, in case of using async replication, and a smart queue, this id is used to replace messages not yet sent.
`void` | `setAddress(Member member)` Called by the cluster before sending it to the other nodes.
`void` | `setCompress(int compress)` set desicion that compress is allowed or not or handle by default.
`void` | `setResend(int resend)` set desicion that resend is allowed or not or handle by default.
`void` | `setTimestamp(long timestamp)` Called by the cluster before sending out the message.

Field Detail

### FLAG_FORBIDDEN

    public static final int FLAG_FORBIDDEN

See Also:
  Constant Field Values

### FLAG_ALLOWED

    public static final int FLAG_ALLOWED

See Also:
  Constant Field Values

### FLAG_DEFAULT

    public static final int FLAG_DEFAULT

See Also:
  Constant Field Values

Method Detail

### getAddress

    public Member getAddress()

  Get the address that this message originated from. This would be set if the message was being relayed from a host other than the one that originally sent it.

### setAddress

    public void setAddress(Member member)

  Called by the cluster before sending it to the other nodes.

  Parameters:
    `member` - Member

### getTimestamp

    public long getTimestamp()

  Timestamp message.

  Returns:
    long

### setTimestamp

    public void setTimestamp(long timestamp)

  Called by the cluster before sending out the message.

  Parameters:
    `timestamp` - The timestamp

### getUniqueId

    public java.lang.String getUniqueId()

  Each message must have a unique ID, in case of using async replication, and a smart queue, this id is used to replace messages not yet sent.

  Returns:
    String

### getResend

    public int getResend()

  Each message can made the desicion that resend is allowed or not or handle by default.

  Returns:
    0 Forbidden, 1 allowed, 2 default
  Since:
    5.5.10

### setResend

    public void setResend(int resend)

  set desicion that resend is allowed or not or handle by default.

  Parameters:
    `resend` - 0 Forbidden, 1 allowed, 2 default
  Since:
    5.5.10

### getCompress

    public int getCompress()

  Each message can made the desicion that compress is allowed or not or handle by default.

  Returns:
    0 Forbidden, 1 allowed, 2 default
  Since:
    5.5.10

### setCompress

    public void setCompress(int compress)

  set desicion that compress is allowed or not or handle by default.

  Parameters:
    `compress` - 0 Forbidden, 1 allowed, 2 default
  Since:
    5.5.10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.